---
title: "yLineTo"
excerpt: "Draw a line parallel to the Y axis, that ends at the given Y."
layout: manual
---

Draw a line parallel to the Y axis, that ends at the given Y.

E.g. if the previous line ended at (1, 1), then yLineTo(4) draws a line from (1, 1) to (1, 4)

```js
yLineTo(to: number, sketch: Sketch, tag?: TagDeclarator) -> Sketch
```


### Arguments

| Name | Type | Description | Required |
|----------|------|-------------|----------|
| `to` | `number` |  | Yes |
| `sketch` | [`Sketch`](/docs/kcl/types/Sketch) | A sketch is a collection of paths. | Yes |
| `tag` | [`TagDeclarator`](/docs/kcl/types#tag-declaration) |  | No |

### Returns

[`Sketch`](/docs/kcl/types/Sketch) - A sketch is a collection of paths.


### Examples

```js
exampleSketch = startSketchOn("XZ")
  |> startProfileAt([0, 0], %)
  |> angledLine({ angle = 50, length = 45 }, %)
  |> yLineTo(0, %)
  |> close()

example = extrude(exampleSketch, length = 5)
```

![Rendered example of yLineTo 0](data:image/png;base64,[encoded data, 86448 characters])


